Subject: bug#50792: 26.3; Key notation typos

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 25 Sep 2021 04:00:08 +0200

Drew Adams <[email-masked]> writes:

> '<ESC>-<TAB>' should instead be '<ESC> <TAB>' (as it is elsewhere in the
> manual).  No modifier syntax.

Yup; fixed now.

> 2. In (emacs) Editing Binary Files:
>
> 'C-h a hexl-<RET>' should be something else.  The space after C-h and
> after a doesn't mean type a SPC char, but you expect readers to see
> hexl- as meaning type those 5 chars.  At least add a space before <RET>,
> but even that isn't a real fix.  The notation -<...> should be used only
> following a modifier, as in M-<right>.
>
> 3. Same problem as #2, in (emacs) Mac/GNUstep Events.

I think C-h a hexl- TAB is the correct thing here, so I've made that change.

> 4. (emacs) Windows Keyboard.
>
> Is `W' introduced anywhere as a modifier key?  What is 'W-<SPC>'?

I'm guessing it's "Windows key and SPC".  Since it's just an example,
and it'd take too long to explain in this section, I just removed that
example.

> 5. Throuhout the Emacs manual, sometimes it's C-<BREAK>, sometimes it's
> C-<Break>.  (And I don't mean in code, e.g., as an arg to `kbd'.)  Is
> this correct?  The contexts seem to be the same/similar: "pressing" or
> "using" such a key sequence.  There are other, similar such seeming
> inconsistencies / problems with other modified function keys.

I've now regularised these to C-<Break>.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no